/**
 * @file        MySQL数据库配置
 * @author      hotok
 * @date        2025-06-28
 * @lastEditor  hotok
 * @lastEditTime 2025-06-28
 * @description 读取环境变量并导出MySQL连接配置
 */

/**
 * MySQL数据库连接配置
 * @property {string} host     - 数据库主机地址
 * @property {number} port     - 数据库端口号
 * @property {string} user     - 数据库用户名
 * @property {string} password - 数据库密码
 * @property {string} database - 数据库名称
 */
export const dbConfig = {
    /** 数据库主机地址 */
    host: process.env.DB_HOST || '172.16.1.3',
    /** 数据库端口号 */
    port: Number(process.env.DB_PORT) || 3306,
    /** 数据库用户名 */
    user: process.env.DB_USER || 'docker',
    /** 数据库密码 */
    password: process.env.DB_PASSWORD || 'docker',
    /** 数据库名称 */
    database: process.env.DB_NAME || 'docker',
};
