/**
 * @file        Winston日志器配置文件
 * @author      hotok
 * @date        2025-06-28
 * @lastEditor  hotok
 * @lastEditTime 2025-06-28
 * @description Winston日志器配置，支持分环境、颜色输出、按日期轮转文件存储
 */

import type { LogConfigType } from '@/type/logger.type';

export const loggerConfig: LogConfigType = {
    level: process.env.LOG_LEVEL || 'debug',
    maxFiles: process.env.LOG_MAX_FILES || '30d',
    maxSize: process.env.LOG_MAX_SIZE || '70k',
    directory: process.env.LOG_DIRECTORY || 'logs',
    console: (process.env.LOG_CONSOLE || 'true') === 'true',
};
