/**
 * @file        Drizzle ORM 数据库插件
 * @author      hotok
 * @date        2025-06-29
 * @lastEditor  hotok
 * @lastEditTime 2025-06-29
 * @description 集成Drizzle ORM到Elysia，提供类型安全的数据库操作
 */

import { Elysia } from 'elysia';
import { redisService } from './redis.service';

/**
 * Drizzle ORM 插件
 * 提供类型安全的数据库操作接口
 */
export const redisPlugin = new Elysia({ name: 'redis' }).onStart(async () => {
    await redisService.initialize();
});

