import Logger from '@/utils/logger';

// 测试错误日志记录
try {
    throw new Error('这是一个测试错误');
} catch (error) {
    if (error instanceof Error) {
        Logger.error(error);
    }
}

// 测试各种日志类型
Logger.debug('这是字符串调试信息');
Logger.debug({
    action: 'debug',
    data: { userId: 123, action: 'login' },
    timestamp: new Date().toISOString(),
});

Logger.info('这是字符串信息');
Logger.info({
    event: 'user_login',
    userId: 123,
    ip: '192.168.1.1',
    userAgent: 'Mozilla/5.0...',
});

Logger.warn('这是字符串警告');
Logger.warn({
    warning: 'high_memory_usage',
    currentUsage: '85%',
    threshold: '80%',
    recommendation: 'Consider scaling up',
});

Logger.http({
    method: 'POST',
    url: '/api/users',
    statusCode: 201,
    responseTime: 150,
    bodySize: '1.2KB',
});

Logger.verbose({
    module: 'database',
    operation: 'SELECT',
    table: 'users',
    query: 'SELECT * FROM users WHERE active = true',
    executionTime: '45ms',
    rowCount: 156,
});
