/**
 * @file        MySQL数据库连接工具
 * @author      hotok
 * @date        2025-06-28
 * @lastEditor  hotok
 * @lastEditTime 2025-06-28
 * @description 提供MySQL连接池实例，供全局复用
 */

import mysql from 'mysql2/promise';
import { dbConfig } from '@/config/db.config';

export const pool = mysql.createPool({
    host: dbConfig.host,
    port: dbConfig.port,
    user: dbConfig.user,
    password: dbConfig.password,
    database: dbConfig.database,
    waitForConnections: true,
    connectionLimit: 10, // 连接池最大连接数
    queueLimit: 0,
});
